View Issue Details

IDProjectCategoryView StatusLast Update
0003285Path[FreeCAD] Featurepublic2018-01-01 21:51
ReporterchrisbAssigned Toabdullah 
PrioritylowSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.18 
Target Version[FreeCAD] 0.18Fixed in Version[FreeCAD] 0.17 
Summary0003285: Show Datums defined by expressions in a different color
DescriptionCurrently all driving datum constraints have the same red color. Constraints being defined by an expression cannot easily be identified by just looking at the 3D view. A different color would help to identify their state which often is something between driving and driven.
Additional Information[url=https://forum.freecadweb.org/viewtopic.php?f=10&t=25904&p=204642#p204639]Corresponding forum discussion[/url].

The attached image is a fake showing the diagonal defined by an expression and the color of the datum in orange. In reality the constraint would have the color of a selected constraint.
TagsNo tags attached.

Activities

chrisb

2017-12-16 17:47

developer  

exprDatumColor.png (28,336 bytes)
exprDatumColor.png (28,336 bytes)

abdullah

2017-12-17 13:55

manager   ~0010612

https://github.com/FreeCAD/FreeCAD/pull/1168

wmayer

2018-01-01 21:51

administrator   ~0010655

https://github.com/FreeCAD/FreeCAD/commit/69535ad7cba56f80c02427f83db6673b48852419
https://github.com/FreeCAD/FreeCAD/commit/2a6f55e6502ad3e54917beaa4e443e4b2736532a
https://github.com/FreeCAD/FreeCAD/commit/9cf42d3a87f0052e07cafa7d7a915c4c1a4d9ab3

Issue History

Date Modified Username Field Change
2017-12-16 17:47 chrisb New Issue
2017-12-16 17:47 chrisb Status new => assigned
2017-12-16 17:47 chrisb Assigned To => abdullah
2017-12-16 17:47 chrisb File Added: exprDatumColor.png
2017-12-17 13:55 abdullah Note Added: 0010612
2018-01-01 21:51 wmayer Status assigned => closed
2018-01-01 21:51 wmayer Resolution open => fixed
2018-01-01 21:51 wmayer Fixed in Version => 0.17
2018-01-01 21:51 wmayer Note Added: 0010655